resource "nomad_job" "backups" {
  jobspec = templatefile("${path.module}/backup.nomad", {
    module_path = "${path.module}",
    batch_node  = null,
  })
}

resource "nomad_job" "backups-oneoff" {
  for_each = toset(["n1", "n2", "n3"])
  jobspec = templatefile("${path.module}/backup.nomad", {
    module_path = "${path.module}",
    batch_node  = each.key,
  })
}
