job "lldap" {
  schedule = "@daily"

  config {
    repo = "rclone::ftp,env_auth:/nomad/lldap"
    passphrase = env("BACKUP_PASSPHRASE")
  }

  # sqlite "Backup database" {
  #   path    = "/data/lldap/users.db"
  #   # sqlite3 /data/lldap/users.db .backup /data/lldap/users.db.bak
  #   dump_to = "/data/lldap/users.db.bak"
  # }

  backup {
    paths = ["/data/lldap"]
    # Because path is absolute
    restore_opts {
      Target = "/"
    }
  }

  forget {
    KeepLast = 2
    Prune = true
  }
}
