variable "kube_config_path" {
  type    = string
  default = "~/.kube/config"
}

variable "kube_config_context" {
  type    = string
  default = "colima"
}

provider "kubernetes" {
  config_path    = var.kube_config_path
  config_context = var.kube_config_context
}

provider "helm" {
  kubernetes {
    config_path    = var.kube_config_path
    config_context = var.kube_config_context
  }
}
