locals {
  blocky_config = file("${path.module}/config.yml")
}

resource "helm_release" "blocky" {
  name       = "blocky"
  repository = "https://k8s-at-home.com/charts/"
  chart      = "blocky"


  set {
    name  = "env.TZ"
    value = "America/Los_Angeles"
  }

  set {
    name  = "metrics.enabled"
    value = true
  }

  set {
    name  = "config"
    value = local.blocky_config
  }
}
