variable "consul_address" {
  type    = string
  default = "http://n1.thefij:8500"
}

variable "vault_address" {
  type    = string
  default = ""
}

variable "nomad_address" {
  type    = string
  default = ""
}

variable "base_hostname" {
  type        = string
  description = "Base hostname to serve content from"
  default     = "dev.homelab"
}

variable "nomad_secret_id" {
  type        = string
  description = "Secret ID for ACL bootstrapped Nomad"
  sensitive   = true
  default     = ""
}

variable "vault_token" {
  type      = string
  sensitive = true
  default   = ""
}
